## org.eclipse.datatools.modelbase.sql.query.impl
Class PredicateImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.PredicateImpl

All Implemented Interfaces:
  Predicate, QuerySearchCondition, SearchCondition, SQLObject, SQLQueryObject

Direct Known Subclasses:
  PredicateBasicImpl, PredicateBetweenImpl, PredicateExistsImpl, PredicateInImpl, PredicateIsNullImpl, PredicateLikeImpl, PredicateQuantifiedImpl, XMLPredicateImpl

public abstract class PredicateImpl
extends QuerySearchConditionImpl
implements Predicate

An implementation of the model object 'SQL Predicate'.

The following features are implemented:

- `Negated Predicate`
- `Has Selectivity`
- `Selectivity Value`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.Integer` `getSelectivityValue()`
`boolean` `isHasSelectivity()`
`boolean` `isNegatedPredicate()`
`void` `setHasSelectivity(boolean newHasSelectivity)`
`void` `setNegatedPredicate(boolean newNegatedPredicate)`
`void` `setSelectivityValue(java.lang.Integer newSelectivityValue)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl

`basicSetCombinedLeft, basicSetCombinedRight, basicSetDeleteStatement, basicSetNest, basicSetQuerySelectHaving, basicSetQuerySelectWhere, basicSetTableJoined, basicSetUpdateStatement, basicSetValueExprCaseSearchContent, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getSQL, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition
`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### isNegatedPredicate

    public boolean isNegatedPredicate()

  Specified by:
    `isNegatedPredicate` in interface `Predicate`
  Returns:
    the value of the 'Negated Predicate' attribute.
  See Also:
    `Predicate.setNegatedPredicate(boolean)`, `SQLQueryModelPackage.getPredicate_NegatedPredicate()`

### setNegatedPredicate

    public void setNegatedPredicate(boolean newNegatedPredicate)

  Specified by:
    `setNegatedPredicate` in interface `Predicate`
  Parameters:
    `newNegatedPredicate` - the new value of the 'Negated Predicate' attribute.
  See Also:
    `Predicate.isNegatedPredicate()`

### isHasSelectivity

    public boolean isHasSelectivity()

  Specified by:
    `isHasSelectivity` in interface `Predicate`
  Returns:
    the value of the 'Has Selectivity' attribute.
  See Also:
    `Predicate.setHasSelectivity(boolean)`, `SQLQueryModelPackage.getPredicate_HasSelectivity()`

### setHasSelectivity

    public void setHasSelectivity(boolean newHasSelectivity)

  Specified by:
    `setHasSelectivity` in interface `Predicate`
  Parameters:
    `newHasSelectivity` - the new value of the 'Has Selectivity' attribute.
  See Also:
    `Predicate.isHasSelectivity()`

### getSelectivityValue

    public java.lang.Integer getSelectivityValue()

  Specified by:
    `getSelectivityValue` in interface `Predicate`
  Returns:
    the value of the 'Selectivity Value' attribute.
  See Also:
    `Predicate.setSelectivityValue(Integer)`, `SQLQueryModelPackage.getPredicate_SelectivityValue()`

### setSelectivityValue

    public void setSelectivityValue(java.lang.Integer newSelectivityValue)

  Specified by:
    `setSelectivityValue` in interface `Predicate`
  Parameters:
    `newSelectivityValue` - the new value of the 'Selectivity Value' attribute.
  See Also:
    `Predicate.getSelectivityValue()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `QuerySearchConditionImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `QuerySearchConditionImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `QuerySearchConditionImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `QuerySearchConditionImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `QuerySearchConditionImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.